Modified installation script to work out of the box.
Modified run_tests to be able to use WxH filenames in addition to W_H.
diff --git a/install_software.sh b/install_software.sh
index d1479cc..9c003b0 100755
--- a/install_software.sh
+++ b/install_software.sh
@@ -22,8 +22,10 @@
 git checkout master
 git checkout c129203f7e5e20f5d67f92c27c65f7d5e362aa7a
 ./configure
-make vpxenc
-make vpxdec
+# There's something wrong in the make for libvpx at this version.
+# Ignore the result code from make. We'll bail if vpxenc and vpxdec
+# were not built.
+make || echo "Something went wrong building libvpx, continuing"
 cp vpxenc ../bin/
 cp vpxdec ../bin/
 cd ..
@@ -48,6 +50,7 @@
 ./configure
 make ffmpeg
 cp ffmpeg ../bin/
+cd ..
 
 # Build the psnr binary
 gcc -o bin/psnr src/psnr.c -lm
diff --git a/run_tests b/run_tests
index 997c067..a8371b3 100755
--- a/run_tests
+++ b/run_tests
@@ -11,10 +11,25 @@
   # filename format: <path>/<clip_name>_<width>_<height>_<frame_rate>.yuv
   pathless=$(basename ${sourcefile})
   clip_stem=${pathless%.*}
-  part=($(echo $clip_stem | tr "_" "\n"))
-  width=${part[1]}
-  height=${part[2]}
-  frame_rate=${part[3]}
+  case $clip_stem in
+      *_*_*_*)
+          part=($(echo $clip_stem | tr "_" "\n"))
+          width=${part[1]}
+          height=${part[2]}
+          frame_rate=${part[3]}
+          ;;
+      *_*x*_*)
+          part=($(echo $clip_stem | tr "_" "\n"))
+          wh=($(echo ${part[1]} | tr "x" "\n"))
+          width=${wh[0]}
+          height=${wh[1]}
+          frame_rate=${part[2]}
+          ;;
+      default)
+          echo "Cannot decipher file pattern $pathless"
+          exit 1
+          ;;
+  esac
 
   echo "Clip $clip_stem"
   # Detecting test dirs by looking for the file name "measurer". Somewhat